﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ScheduleSample.Models;
using Syncfusion.EJ2.Schedule;

namespace ScheduleSample.Controllers
{
    public class HomeController : Controller
    {   
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";
            return View();
        }

        private class RoomData
        {
            public int id { set; get; }
            public string name { set; get; }
            public string color { set; get; }
            public int capacity { set; get; }
            public string type { set; get; }
        }
        public ActionResult Index()

        {
            List<RoomData> rooms = new List<RoomData>();
            rooms.Add(new RoomData { name = "Jammy", id = 1, color = "#ea7a57", capacity = 20, type = "Conference" });
            rooms.Add(new RoomData { name = "Tweety", id = 2, color = "#7fa900", capacity = 7, type = "Cabin" });
            rooms.Add(new RoomData { name = "Nestle", id = 3, color = "#5978ee", capacity = 5, type = "Cabin" });
            rooms.Add(new RoomData { name = "Phoenix", id = 4, color = "#fec200", capacity = 15, type = "Conference" });
            rooms.Add(new RoomData { name = "Mission", id = 5, color = "#df5286", capacity = 25, type = "Conference" });
            rooms.Add(new RoomData { name = "Hangout", id = 6, color = "#00bdae", capacity = 10, type = "Cabin" });
            rooms.Add(new RoomData { name = "Rick Roll", id = 7, color = "#865fcf", capacity = 20, type = "Conference" });
            rooms.Add(new RoomData { name = "Rainbow", id = 8, color = "#1aaa55", capacity = 8, type = "Cabin" });
            rooms.Add(new RoomData { name = "Swarm", id = 9, color = "#df5286", capacity = 30, type = "Conference" });
            rooms.Add(new RoomData { name = "Photogenic", id = 10, color = "#710193", capacity = 25, type = "Conference" });
            ViewBag.RoomDatas = rooms;

            string[] resources = new string[] { "MeetingRoom" };
            ViewBag.ResourceNames = resources;

            List<AppointmentData> appData = new List<AppointmentData>();
            appData.Add(new AppointmentData
            {
                Id = 1,
                RoomId = 1,
                Subject = "Explosion of Betelgeuse Star",
                StartTime = new DateTime(2019, 4, 2, 10, 30, 0),
                EndTime = new DateTime(2019, 4, 4, 20, 0, 0),
            });
            appData.Add(new AppointmentData
            {
                Id = 2,
                RoomId = 3,
                Subject = "Meeting",
                StartTime = new DateTime(2019, 4, 3, 9, 30, 0),
                EndTime = new DateTime(2019, 4, 5, 15, 0, 0),
            });
           

            ViewBag.datasource = appData;
            return View();
        }
    }
    public class AppointmentData
    {
        public int Id { get; set; }
        public int RoomId { get; set; }
        public string Subject { get; set; }
        public DateTime StartTime { get; set; }
        public DateTime EndTime { get; set; }
        public string CategoryColor { get; set; }
        public bool IsBlock { get; set; }
        public bool IsAllDay { get; set; }
    }

}
